#!/bin/bash

EXPR=$1
RUNDIR=`pwd`
SRCDIR=$(dirname $0)
TOPDIR=`realpath "$SRCDIR/.."`
BINDIR=`realpath "$TOPDIR/bin"`
VER=`cat "$TOPDIR/VERSION"`

if [ ! -f "$EXPR" ]; then
    echo "HADES version $VER"
    echo "Usage: artmc-rtl.sh name"
    echo
    echo "    name    Name of RTL experiment (with *.ml extenstion). Experiment"
    echo "            must respect headers defined in bin/rtl.ml"
    echo
    exit 1
fi

# switch to HADES bin directory
cd $BINDIR

# switch to ARTMC directory
cd "./ARTMC-nondet"
# create symlink for modified Makefile
ln -sf "$BINDIR/Makefile.rtl"

# create symlinks related to experiment
cd "./experiments"
ln -sf "$BINDIR/rtl.ml"
ln -sf "$RUNDIR/$EXPR" "rtl_artmc_exprm.ml"
# remove compiled file to enforce rebuilding
rm -f *.cmx
cd ..

# execute make for symlinked Makefile
make -f Makefile.rtl bin || exit 1
# execute created binary
./runbin || exit 1

# go back to place where we started
cd $RUNDIR

