#!/bin/bash
# Performs installation

TOPDIR=`realpath $(dirname $0)`
VER=`cat "$TOPDIR/VERSION"`

if [ "$1" = "" -o "$2" = "" ]; then
    echo "HADES version ${VER}."
    echo "Usage: install.sh rtlmanip-file armtc-dir"
    echo
    echo "    rtlmanip-file     Path to rtlmanip binary."
    echo "    artmc-dir         Path to ARTMC directory."
    echo 
    exit 1
fi

RTL=`realpath "$1"`
ARTMC=`realpath "$2"`

cd bin
ln -s $RTL rtlmanip
ln -s $ARTMC ARTMC-nondet

echo "Installation successful."

